Subject: is there a good email list / wiki for folks involved in protocol design?

From: Miles Fidelman <[email-masked]>
Date: Thu, 22 Jun 2017 08:44:43 -0400

Hi Folks,

This would seem to be the right place to ask.

There's a wonderful blog/wiki/community-of-interest (Drupal site, 
actually) at lambda-the-ultimate.org that seems to have become a focal 
point for folks involved in the theory & practice of programming 
language design (billed as "The Programming Language Weblog").

I've been wondering if there's any kind of a similar site/community 
organized around protocol design.  Anybody know of one?

Context:  I've been thinking about writing a book on the history of 
protocol adoption - how & why some protocols have become ubiquitous - 
with a particular focus on how & why new functionality keeps showing up 
as APIs, SaaS, SOAs, and now micro-services. (Working title: Back to 
Walled Gardens).  There's lots of activity, email lists, etc. around API 
and micro-service development, but I can't seem to find much on the 
theory & practice of protocol development (is it that are spread around 
more focused on specific problems, say in specific IETF working groups - 
to the detriment of a more general community-of-interest?).

Thanks,

Miles Fidelman

-- 
In theory, there is no difference between theory and practice.
In practice, there is.  .... Yogi Berra

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 22 Jun 2017 16:28:34 +0200

Hi Miles,

I’m not aware of a lambda-the-ultimate kind of site, but the IETF has a number of very good RFCs on protocol design.

RFC 1958 comes to mind as an early example, and I think RFC 8170 is the most recent one (which also happens to be right on your subject).  RFC 5218 is one of my favorites.  There are also more technical documents such as RFC 3819.

But it is true that much of what makes a good protocol design (or design process) remains the tacit knowledge of the experienced designers that we have collected here in the IETF, and that also remains one of the USPs of the IETF that would be really hard to duplicate.

Grüße, Carsten

> On Jun 22, 2017, at 14:44, Miles Fidelman <[email-masked]> wrote:
> 
> Hi Folks,
> 
> There's a wonderful blog/wiki/community-of-interest (Drupal site, actually) at lambda-the-ultimate.org that seems to have become a focal point for folks involved in the theory & practice of programming language design (billed as "The Programming Language Weblog").
> 
> I've been wondering if there's any kind of a similar site/community organized around protocol design.  Anybody know of one?
> 
> Context:  I've been thinking about writing a book on the history of protocol adoption - how & why some protocols have become ubiquitous - with a particular focus on how & why new functionality keeps showing up as APIs, SaaS, SOAs, and now micro-services. (Working title: Back to Walled Gardens).  There's lots of activity, email lists, etc. around API and micro-service development, but I can't seem to find much on the theory & practice of protocol development (is it that are spread around more focused on specific problems, say in specific IETF working groups - to the detriment of a more general community-of-interest?).
> 
> Thanks,
> 
> Miles Fidelman
> 
> --